Index: asp3_wo_tecs/trunk/extension/drift/kernel/Makefile.kernel
===================================================================
--- asp3_wo_tecs/trunk/extension/drift/kernel/Makefile.kernel	(revision 305)
+++ asp3_wo_tecs/trunk/extension/drift/kernel/Makefile.kernel	(revision 306)
@@ -6,5 +6,5 @@
 #  Copyright (C) 2003 by Embedded and Real-Time Systems Laboratory
 #                              Toyohashi Univ. of Technology, JAPAN
-#  Copyright (C) 2005-2014 by Embedded and Real-Time Systems Laboratory
+#  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
 #              Graduate School of Information Science, Nagoya Univ., JAPAN
 # 
@@ -53,5 +53,5 @@
 #  ã®è²¬ä»»ãè² ããªãï¼
 # 
-#  $Id: Makefile.kernel 236 2014-09-28 16:24:33Z ertl-hiro $
+#  $Id: Makefile.kernel 554 2016-01-17 13:21:59Z ertl-hiro $
 # 
 
@@ -132,23 +132,23 @@
 #  çæããããªãã¸ã§ã¯ããã¡ã¤ã«ã®ä¾å­é¢ä¿ã®å®ç¾©
 #
-$(startup) $(startup:.o=.s) $(startup:.o=.d): startup.c
-$(task) $(task:.o=.s) $(task:.o=.d): task.c
-$(taskhook) $(taskhook:.o=.s) $(taskhook:.o=.d): taskhook.c
-$(wait) $(wait:.o=.s) $(wait:.o=.d): wait.c
-$(time_event) $(time_event:.o=.s) $(time_event:.o=.d): time_event.c
-$(task_manage) $(task_manage:.o=.s) $(task_manage:.o=.d): task_manage.c
-$(task_refer) $(task_refer:.o=.s) $(task_refer:.o=.d): task_refer.c
-$(task_sync) $(task_sync:.o=.s) $(task_sync:.o=.d): task_sync.c
-$(task_term) $(task_term:.o=.s) $(task_term:.o=.d): task_term.c
-$(semaphore) $(semaphore:.o=.s) $(semaphore:.o=.d): semaphore.c
-$(eventflag) $(eventflag:.o=.s) $(eventflag:.o=.d): eventflag.c
-$(dataqueue) $(dataqueue:.o=.s) $(dataqueue:.o=.d): dataqueue.c
-$(pridataq) $(pridataq:.o=.s) $(pridataq:.o=.d): pridataq.c
-$(mutex) $(mutex:.o=.s) $(mutex:.o=.d): mutex.c
-$(mempfix) $(mempfix:.o=.s) $(mempfix:.o=.d): mempfix.c
-$(time_manage) $(time_manage:.o=.s) $(time_manage:.o=.d): time_manage.c
-$(cyclic) $(cyclic:.o=.s) $(cyclic:.o=.d): cyclic.c
-$(alarm) $(alarm:.o=.s) $(alarm:.o=.d): alarm.c
-$(sys_manage) $(sys_manage:.o=.s) $(sys_manage:.o=.d): sys_manage.c
-$(interrupt) $(interrupt:.o=.s) $(interrupt:.o=.d): interrupt.c
-$(exception) $(exception:.o=.s) $(exception:.o=.d): exception.c
+$(startup) $(startup:.o=.s): startup.c
+$(task) $(task:.o=.s): task.c
+$(taskhook) $(taskhook:.o=.s): taskhook.c
+$(wait) $(wait:.o=.s): wait.c
+$(time_event) $(time_event:.o=.s): time_event.c
+$(task_manage) $(task_manage:.o=.s): task_manage.c
+$(task_refer) $(task_refer:.o=.s): task_refer.c
+$(task_sync) $(task_sync:.o=.s): task_sync.c
+$(task_term) $(task_term:.o=.s): task_term.c
+$(semaphore) $(semaphore:.o=.s): semaphore.c
+$(eventflag) $(eventflag:.o=.s): eventflag.c
+$(dataqueue) $(dataqueue:.o=.s): dataqueue.c
+$(pridataq) $(pridataq:.o=.s): pridataq.c
+$(mutex) $(mutex:.o=.s): mutex.c
+$(mempfix) $(mempfix:.o=.s): mempfix.c
+$(time_manage) $(time_manage:.o=.s): time_manage.c
+$(cyclic) $(cyclic:.o=.s): cyclic.c
+$(alarm) $(alarm:.o=.s): alarm.c
+$(sys_manage) $(sys_manage:.o=.s): sys_manage.c
+$(interrupt) $(interrupt:.o=.s): interrupt.c
+$(exception) $(exception:.o=.s): exception.c
Index: asp3_wo_tecs/trunk/extension/drift/kernel/kernel_rename.h
===================================================================
--- asp3_wo_tecs/trunk/extension/drift/kernel/kernel_rename.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/drift/kernel/kernel_rename.h	(revision 306)
@@ -188,192 +188,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  startup.c
- */
-#define _kerflg						__kernel_kerflg
-#define _exit_kernel				__kernel_exit_kernel
-
-/*
- *  task.c
- */
-#define _p_runtsk					__kernel_p_runtsk
-#define _p_schedtsk					__kernel_p_schedtsk
-#define _enadsp						__kernel_enadsp
-#define _dspflg						__kernel_dspflg
-#define _ready_queue				__kernel_ready_queue
-#define _ready_primap				__kernel_ready_primap
-#define _initialize_task			__kernel_initialize_task
-#define _search_schedtsk			__kernel_search_schedtsk
-#define _make_runnable				__kernel_make_runnable
-#define _make_non_runnable			__kernel_make_non_runnable
-#define _make_dormant				__kernel_make_dormant
-#define _make_active				__kernel_make_active
-#define _change_priority			__kernel_change_priority
-#define _rotate_ready_queue			__kernel_rotate_ready_queue
-#define _task_terminate				__kernel_task_terminate
-
-/*
- *  taskhook.c
- */
-#define _mtxhook_check_ceilpri		__kernel_mtxhook_check_ceilpri
-#define _mtxhook_scan_ceilmtx		__kernel_mtxhook_scan_ceilmtx
-#define _mtxhook_release_all		__kernel_mtxhook_release_all
-
-/*
- *  wait.c
- */
-#define _make_wait_tmout			__kernel_make_wait_tmout
-#define _wait_complete				__kernel_wait_complete
-#define _wait_tmout					__kernel_wait_tmout
-#define _wait_tmout_ok				__kernel_wait_tmout_ok
-#define _wobj_make_wait				__kernel_wobj_make_wait
-#define _wobj_make_wait_tmout		__kernel_wobj_make_wait_tmout
-#define _init_wait_queue			__kernel_init_wait_queue
-
-/*
- *  time_event.c
- */
-#define _boundary_evttim			__kernel_boundary_evttim
-#define _current_evttim				__kernel_current_evttim
-#define _current_evttim_frac		__kernel_current_evttim_frac
-#define _current_hrtcnt				__kernel_current_hrtcnt
-#define _monotonic_evttim			__kernel_monotonic_evttim
-#define _drift_rate					__kernel_drift_rate
-#define _evttim_step				__kernel_evttim_step
-#define _evttim_step_frac			__kernel_evttim_step_frac
-#define _systim_offset				__kernel_systim_offset
-#define _in_signal_time				__kernel_in_signal_time
-#define _initialize_tmevt			__kernel_initialize_tmevt
-#define _tmevt_up					__kernel_tmevt_up
-#define _tmevt_down					__kernel_tmevt_down
-#define _update_current_evttim		__kernel_update_current_evttim
-#define _set_hrt_event				__kernel_set_hrt_event
-#define _tmevtb_register			__kernel_tmevtb_register
-#define _tmevtb_enqueue				__kernel_tmevtb_enqueue
-#define _tmevtb_dequeue				__kernel_tmevtb_dequeue
-#define _check_adjtim				__kernel_check_adjtim
-#define _tmevt_lefttim				__kernel_tmevt_lefttim
-#define _signal_time				__kernel_signal_time
-
-/*
- *  semaphore.c
- */
-#define _initialize_semaphore		__kernel_initialize_semaphore
-
-/*
- *  eventflag.c
- */
-#define _initialize_eventflag		__kernel_initialize_eventflag
-#define _check_flg_cond				__kernel_check_flg_cond
-
-/*
- *  dataqueue.c
- */
-#define _initialize_dataqueue		__kernel_initialize_dataqueue
-#define _enqueue_data				__kernel_enqueue_data
-#define _force_enqueue_data			__kernel_force_enqueue_data
-#define _dequeue_data				__kernel_dequeue_data
-#define _send_data					__kernel_send_data
-#define _force_send_data			__kernel_force_send_data
-#define _receive_data				__kernel_receive_data
-
-/*
- *  pridataq.c
- */
-#define _initialize_pridataq		__kernel_initialize_pridataq
-#define _enqueue_pridata			__kernel_enqueue_pridata
-#define _dequeue_pridata			__kernel_dequeue_pridata
-#define _send_pridata				__kernel_send_pridata
-#define _receive_pridata			__kernel_receive_pridata
-
-/*
- *  mutex.c
- */
-#define _initialize_mutex			__kernel_initialize_mutex
-#define _mutex_check_ceilpri		__kernel_mutex_check_ceilpri
-#define _mutex_scan_ceilmtx			__kernel_mutex_scan_ceilmtx
-#define _mutex_drop_priority		__kernel_mutex_drop_priority
-#define _mutex_acquire				__kernel_mutex_acquire
-#define _mutex_release				__kernel_mutex_release
-#define _mutex_release_all			__kernel_mutex_release_all
-
-/*
- *  mempfix.c
- */
-#define _initialize_mempfix			__kernel_initialize_mempfix
-#define _get_mpf_block				__kernel_get_mpf_block
-
-/*
- *  cyclic.c
- */
-#define _initialize_cyclic			__kernel_initialize_cyclic
-#define _call_cyclic				__kernel_call_cyclic
-
-/*
- *  alarm.c
- */
-#define _initialize_alarm			__kernel_initialize_alarm
-#define _call_alarm					__kernel_call_alarm
-
-/*
- *  interrupt.c
- */
-#define _initialize_interrupt		__kernel_initialize_interrupt
-
-/*
- *  exception.c
- */
-#define _initialize_exception		__kernel_initialize_exception
-
-/*
- *  kernel_cfg.c
- */
-#define _initialize_object			__kernel_initialize_object
-#define _call_inirtn				__kernel_call_inirtn
-#define _call_terrtn				__kernel_call_terrtn
-#define _tmax_tskid					__kernel_tmax_tskid
-#define _tinib_table				__kernel_tinib_table
-#define _torder_table				__kernel_torder_table
-#define _tcb_table					__kernel_tcb_table
-#define _tmax_semid					__kernel_tmax_semid
-#define _seminib_table				__kernel_seminib_table
-#define _semcb_table				__kernel_semcb_table
-#define _tmax_flgid					__kernel_tmax_flgid
-#define _flginib_table				__kernel_flginib_table
-#define _flgcb_table				__kernel_flgcb_table
-#define _tmax_dtqid					__kernel_tmax_dtqid
-#define _dtqinib_table				__kernel_dtqinib_table
-#define _dtqcb_table				__kernel_dtqcb_table
-#define _tmax_pdqid					__kernel_tmax_pdqid
-#define _pdqinib_table				__kernel_pdqinib_table
-#define _pdqcb_table				__kernel_pdqcb_table
-#define _tmax_mtxid					__kernel_tmax_mtxid
-#define _mtxinib_table				__kernel_mtxinib_table
-#define _mtxcb_table				__kernel_mtxcb_table
-#define _tmax_mpfid					__kernel_tmax_mpfid
-#define _mpfinib_table				__kernel_mpfinib_table
-#define _mpfcb_table				__kernel_mpfcb_table
-#define _tmax_cycid					__kernel_tmax_cycid
-#define _cycinib_table				__kernel_cycinib_table
-#define _cyccb_table				__kernel_cyccb_table
-#define _tmax_almid					__kernel_tmax_almid
-#define _alminib_table				__kernel_alminib_table
-#define _almcb_table				__kernel_almcb_table
-#define _tnum_def_inhno				__kernel_tnum_def_inhno
-#define _inhinib_table				__kernel_inhinib_table
-#define _tnum_cfg_intno				__kernel_tnum_cfg_intno
-#define _intinib_table				__kernel_intinib_table
-#define _tnum_def_excno				__kernel_tnum_def_excno
-#define _excinib_table				__kernel_excinib_table
-#define _tmevt_heap					__kernel_tmevt_heap
-#define _istksz						__kernel_istksz
-#define _istk						__kernel_istk
-#define _istkpt						__kernel_istkpt
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 #include "target_rename.h"
 
Index: asp3_wo_tecs/trunk/extension/drift/kernel/kernel_unrename.h
===================================================================
--- asp3_wo_tecs/trunk/extension/drift/kernel/kernel_unrename.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/drift/kernel/kernel_unrename.h	(revision 306)
@@ -189,192 +189,4 @@
 
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  startup.c
- */
-#undef _kerflg
-#undef _exit_kernel
-
-/*
- *  task.c
- */
-#undef _p_runtsk
-#undef _p_schedtsk
-#undef _enadsp
-#undef _dspflg
-#undef _ready_queue
-#undef _ready_primap
-#undef _initialize_task
-#undef _search_schedtsk
-#undef _make_runnable
-#undef _make_non_runnable
-#undef _make_dormant
-#undef _make_active
-#undef _change_priority
-#undef _rotate_ready_queue
-#undef _task_terminate
-
-/*
- *  taskhook.c
- */
-#undef _mtxhook_check_ceilpri
-#undef _mtxhook_scan_ceilmtx
-#undef _mtxhook_release_all
-
-/*
- *  wait.c
- */
-#undef _make_wait_tmout
-#undef _wait_complete
-#undef _wait_tmout
-#undef _wait_tmout_ok
-#undef _wobj_make_wait
-#undef _wobj_make_wait_tmout
-#undef _init_wait_queue
-
-/*
- *  time_event.c
- */
-#undef _boundary_evttim
-#undef _current_evttim
-#undef _current_evttim_frac
-#undef _current_hrtcnt
-#undef _monotonic_evttim
-#undef _drift_rate
-#undef _evttim_step
-#undef _evttim_step_frac
-#undef _systim_offset
-#undef _in_signal_time
-#undef _initialize_tmevt
-#undef _tmevt_up
-#undef _tmevt_down
-#undef _update_current_evttim
-#undef _set_hrt_event
-#undef _tmevtb_register
-#undef _tmevtb_enqueue
-#undef _tmevtb_dequeue
-#undef _check_adjtim
-#undef _tmevt_lefttim
-#undef _signal_time
-
-/*
- *  semaphore.c
- */
-#undef _initialize_semaphore
-
-/*
- *  eventflag.c
- */
-#undef _initialize_eventflag
-#undef _check_flg_cond
-
-/*
- *  dataqueue.c
- */
-#undef _initialize_dataqueue
-#undef _enqueue_data
-#undef _force_enqueue_data
-#undef _dequeue_data
-#undef _send_data
-#undef _force_send_data
-#undef _receive_data
-
-/*
- *  pridataq.c
- */
-#undef _initialize_pridataq
-#undef _enqueue_pridata
-#undef _dequeue_pridata
-#undef _send_pridata
-#undef _receive_pridata
-
-/*
- *  mutex.c
- */
-#undef _initialize_mutex
-#undef _mutex_check_ceilpri
-#undef _mutex_scan_ceilmtx
-#undef _mutex_drop_priority
-#undef _mutex_acquire
-#undef _mutex_release
-#undef _mutex_release_all
-
-/*
- *  mempfix.c
- */
-#undef _initialize_mempfix
-#undef _get_mpf_block
-
-/*
- *  cyclic.c
- */
-#undef _initialize_cyclic
-#undef _call_cyclic
-
-/*
- *  alarm.c
- */
-#undef _initialize_alarm
-#undef _call_alarm
-
-/*
- *  interrupt.c
- */
-#undef _initialize_interrupt
-
-/*
- *  exception.c
- */
-#undef _initialize_exception
-
-/*
- *  kernel_cfg.c
- */
-#undef _initialize_object
-#undef _call_inirtn
-#undef _call_terrtn
-#undef _tmax_tskid
-#undef _tinib_table
-#undef _torder_table
-#undef _tcb_table
-#undef _tmax_semid
-#undef _seminib_table
-#undef _semcb_table
-#undef _tmax_flgid
-#undef _flginib_table
-#undef _flgcb_table
-#undef _tmax_dtqid
-#undef _dtqinib_table
-#undef _dtqcb_table
-#undef _tmax_pdqid
-#undef _pdqinib_table
-#undef _pdqcb_table
-#undef _tmax_mtxid
-#undef _mtxinib_table
-#undef _mtxcb_table
-#undef _tmax_mpfid
-#undef _mpfinib_table
-#undef _mpfcb_table
-#undef _tmax_cycid
-#undef _cycinib_table
-#undef _cyccb_table
-#undef _tmax_almid
-#undef _alminib_table
-#undef _almcb_table
-#undef _tnum_def_inhno
-#undef _inhinib_table
-#undef _tnum_cfg_intno
-#undef _intinib_table
-#undef _tnum_def_excno
-#undef _excinib_table
-#undef _tmevt_heap
-#undef _istksz
-#undef _istk
-#undef _istkpt
-
-
-#endif /* TOPPERS_LABEL_ASM */
-
 #include "target_unrename.h"
 
Index: asp3_wo_tecs/trunk/extension/drift/kernel/time_event.c
===================================================================
--- asp3_wo_tecs/trunk/extension/drift/kernel/time_event.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/drift/kernel/time_event.c	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: time_event.c 451 2015-08-14 15:29:07Z ertl-hiro $
+ *  $Id: time_event.c 532 2016-01-15 14:48:04Z ertl-hiro $
  */
 
@@ -85,22 +85,9 @@
 /*
  *  ã¿ã¤ã ã¤ãã³ããã¼ãæä½ãã¯ã­
- *
- *  PARENTã¨CHILDã®ç´ ç´ãªå®ç¾©ã¯æ¬¡ã®éãã§ãããï¼ããå®è¡å¹çã®è¯ããã¯
- *  ã­å®ç¾©ã¨ãã¦ããï¼
- *  #define PARENT(p_tmevtn) (tmevt_heap + (((p_tmevtn) - tmevt_heap) >> 1))
- *  #define LCHILD(p_tmevtn) (tmevt_heap + (((p_tmevtn) - tmevt_heap) << 1))
- *
- *  ä¸ã®PARENTã®å®ç¾©ã¯ï¼TMEVTNã®é
-åãï¼sizeof(TMEVTN)ã®åä½ã§ã¢ã©ã¤ã³
- *  ããã¦ãããã¨ãæ³å®ãã¦ããï¼ãã®åæãæç«ããªãå ´åã¯ï¼ä¸ã®å®ç¾©
- *  ãä½¿ç¨ããå¿
-è¦ãããï¼
- */
-#define PARENT(p_tmevtn)				/* è¦ªãã¼ããæ±ãã */		\
-		((TMEVTN *)(((((uintptr_t) tmevt_heap)						\
-				+ ((uintptr_t)(p_tmevtn))) >> 1) & ~(sizeof(TMEVTN) - 1)))
-#define LCHILD(p_tmevtn)				/* å·¦ã®å­ãã¼ããæ±ãã */	\
-		((TMEVTN *)((((uintptr_t)(p_tmevtn)) << 1) - ((uintptr_t) tmevt_heap)))
-
+ */
+#define PARENT(p_tmevtn)	(tmevt_heap + (((p_tmevtn) - tmevt_heap) >> 1))
+													/* è¦ªãã¼ããæ±ãã */
+#define LCHILD(p_tmevtn)	(tmevt_heap + (((p_tmevtn) - tmevt_heap) << 1))
+													/* å·¦ã®å­ãã¼ããæ±ãã */
 /*
  *  ã¿ã¤ã ã¤ãã³ããã¼ãä¸­ã®å
